CourseLit logoCourseLit Docs
Api reference

List product customers

GET
/api/products/{productId}/customers

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string

Query Parameters

search?string

Search customers by name or email.

page?integer
Default1
Range1 <= value
limit?integer
Default50
Range1 <= value <= 200

Response Body

application/json

curl -X GET "https://school.courselit.app/api/products/string/customers"
{
  "data": [
    {
      "user": {
        "userId": "string",
        "email": "string",
        "name": "string",
        "avatar": {}
      },
      "status": "string",
      "completedLessons": [
        "string"
      ],
      "downloaded": true,
      "subscriptionMethod": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": 0,
    "limit": 0
  }
}